package com.sheep.gamegroup.model.entity;

/**
 * Created by CowBoy on 2018/8/16
 * E-Mail Address：yuanshenglan@kuaifazs.com
 */
public class RobTask {

    /**
     * order : 1
     * m : {"label_color":"","task_id":615,"remarks":"1","child_task_name":"","online_time":1534323727,"id":882,"release_num":100,"order":1,"demo_time":0,"name":"小绵羊安装（3）","gift_ratio":0,"is_hot":0,"last_num":97,"platform":1,"unaudited_num":0,"status":1,"task":{"is_reservation":0,"desc":"<p>gwegewgwe<\/p>","download_link":"http://10.8.220.238/shared//%E5%8D%87%E7%BA%A7%E5%B0%8F%E7%BB%B5%E7%BE%8A_1.4.apk","remarks":"","ext":"","child":null,"id":615,"appointment_time":0,"screenshots":"","parent_node_id":0,"package_names":"com.sheep.jiuyan.samllsheep","boot_address":"few","icon":"http://staticcdn.kuaifazs.com/upload/static/201808/14/ae/0a/mXHKiP.png","platform":1,"is_active":0,"task_name":"小绵羊安装","is_succession":1,"task_type":1000,"exclude":0,"adid":"","package_size":10,"inspect_type":2,"can_receive_account":false,"remain":0,"update_time":1534228705,"create_time":1534228705,"app_id":0},"is_succession":1,"is_take":0,"exclude":0,"cancel_duration":300,"submit_num":0,"duration":0,"online_type":1,"update_time":1534323727,"cash_task":1,"accepted_task_id":0,"create_time":1534323727,"is_recommend":0,"bonus":3.2,"deadline":1535706100,"consume_amount":0}
     */

    private int order;
    private MBean m;

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public MBean getM() {
        return m;
    }

    public void setM(MBean m) {
        this.m = m;
    }

    public static class MBean {
        /**
         * label_color :
         * task_id : 615
         * remarks : 1
         * child_task_name :
         * online_time : 1534323727
         * id : 882
         * release_num : 100
         * order : 1
         * demo_time : 0
         * name : 小绵羊安装（3）
         * gift_ratio : 0
         * is_hot : 0
         * last_num : 97
         * platform : 1
         * unaudited_num : 0
         * status : 1
         * task : {"is_reservation":0,"desc":"<p>gwegewgwe<\/p>","download_link":"http://10.8.220.238/shared//%E5%8D%87%E7%BA%A7%E5%B0%8F%E7%BB%B5%E7%BE%8A_1.4.apk","remarks":"","ext":"","child":null,"id":615,"appointment_time":0,"screenshots":"","parent_node_id":0,"package_names":"com.sheep.jiuyan.samllsheep","boot_address":"few","icon":"http://staticcdn.kuaifazs.com/upload/static/201808/14/ae/0a/mXHKiP.png","platform":1,"is_active":0,"task_name":"小绵羊安装","is_succession":1,"task_type":1000,"exclude":0,"adid":"","package_size":10,"inspect_type":2,"can_receive_account":false,"remain":0,"update_time":1534228705,"create_time":1534228705,"app_id":0}
         * is_succession : 1
         * is_take : 0
         * exclude : 0
         * cancel_duration : 300
         * submit_num : 0
         * duration : 0
         * online_type : 1
         * update_time : 1534323727
         * cash_task : 1
         * accepted_task_id : 0
         * create_time : 1534323727
         * is_recommend : 0
         * bonus : 3.2
         * deadline : 1535706100
         * consume_amount : 0
         */

        private String label_color;
        private int task_id;
        private String remarks;
        private String child_task_name;
        private int online_time;
        private int id;
        private int release_num;
        private int order;
        private int demo_time;
        private String name;
        private int gift_ratio;
        private int is_hot;
        private int last_num;
        private int platform;
        private int unaudited_num;
        private int status;
        private TaskBean task;
        private int is_succession;
        private int is_take;
        private int exclude;
        private int cancel_duration;
        private int submit_num;
        private int duration;
        private int online_type;
        private int update_time;
        private int cash_task;
        private int accepted_task_id;
        private int create_time;
        private int is_recommend;
        private double bonus;
        private int deadline;
        private int consume_amount;

        public String getLabel_color() {
            return label_color;
        }

        public void setLabel_color(String label_color) {
            this.label_color = label_color;
        }

        public int getTask_id() {
            return task_id;
        }

        public void setTask_id(int task_id) {
            this.task_id = task_id;
        }

        public String getRemarks() {
            return remarks;
        }

        public void setRemarks(String remarks) {
            this.remarks = remarks;
        }

        public String getChild_task_name() {
            return child_task_name;
        }

        public void setChild_task_name(String child_task_name) {
            this.child_task_name = child_task_name;
        }

        public int getOnline_time() {
            return online_time;
        }

        public void setOnline_time(int online_time) {
            this.online_time = online_time;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getRelease_num() {
            return release_num;
        }

        public void setRelease_num(int release_num) {
            this.release_num = release_num;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public int getDemo_time() {
            return demo_time;
        }

        public void setDemo_time(int demo_time) {
            this.demo_time = demo_time;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getGift_ratio() {
            return gift_ratio;
        }

        public void setGift_ratio(int gift_ratio) {
            this.gift_ratio = gift_ratio;
        }

        public int getIs_hot() {
            return is_hot;
        }

        public void setIs_hot(int is_hot) {
            this.is_hot = is_hot;
        }

        public int getLast_num() {
            return last_num;
        }

        public void setLast_num(int last_num) {
            this.last_num = last_num;
        }

        public int getPlatform() {
            return platform;
        }

        public void setPlatform(int platform) {
            this.platform = platform;
        }

        public int getUnaudited_num() {
            return unaudited_num;
        }

        public void setUnaudited_num(int unaudited_num) {
            this.unaudited_num = unaudited_num;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public TaskBean getTask() {
            return task;
        }

        public void setTask(TaskBean task) {
            this.task = task;
        }

        public int getIs_succession() {
            return is_succession;
        }

        public void setIs_succession(int is_succession) {
            this.is_succession = is_succession;
        }

        public int getIs_take() {
            return is_take;
        }

        public void setIs_take(int is_take) {
            this.is_take = is_take;
        }

        public int getExclude() {
            return exclude;
        }

        public void setExclude(int exclude) {
            this.exclude = exclude;
        }

        public int getCancel_duration() {
            return cancel_duration;
        }

        public void setCancel_duration(int cancel_duration) {
            this.cancel_duration = cancel_duration;
        }

        public int getSubmit_num() {
            return submit_num;
        }

        public void setSubmit_num(int submit_num) {
            this.submit_num = submit_num;
        }

        public int getDuration() {
            return duration;
        }

        public void setDuration(int duration) {
            this.duration = duration;
        }

        public int getOnline_type() {
            return online_type;
        }

        public void setOnline_type(int online_type) {
            this.online_type = online_type;
        }

        public int getUpdate_time() {
            return update_time;
        }

        public void setUpdate_time(int update_time) {
            this.update_time = update_time;
        }

        public int getCash_task() {
            return cash_task;
        }

        public void setCash_task(int cash_task) {
            this.cash_task = cash_task;
        }

        public int getAccepted_task_id() {
            return accepted_task_id;
        }

        public void setAccepted_task_id(int accepted_task_id) {
            this.accepted_task_id = accepted_task_id;
        }

        public int getCreate_time() {
            return create_time;
        }

        public void setCreate_time(int create_time) {
            this.create_time = create_time;
        }

        public int getIs_recommend() {
            return is_recommend;
        }

        public void setIs_recommend(int is_recommend) {
            this.is_recommend = is_recommend;
        }

        public double getBonus() {
            return bonus;
        }

        public void setBonus(double bonus) {
            this.bonus = bonus;
        }

        public int getDeadline() {
            return deadline;
        }

        public void setDeadline(int deadline) {
            this.deadline = deadline;
        }

        public int getConsume_amount() {
            return consume_amount;
        }

        public void setConsume_amount(int consume_amount) {
            this.consume_amount = consume_amount;
        }

        public static class TaskBean {
            /**
             * is_reservation : 0
             * desc : <p>gwegewgwe</p>
             * download_link : http://10.8.220.238/shared//%E5%8D%87%E7%BA%A7%E5%B0%8F%E7%BB%B5%E7%BE%8A_1.4.apk
             * remarks :
             * ext :
             * child : null
             * id : 615
             * appointment_time : 0
             * screenshots :
             * parent_node_id : 0
             * package_names : com.sheep.jiuyan.samllsheep
             * boot_address : few
             * icon : http://staticcdn.kuaifazs.com/upload/static/201808/14/ae/0a/mXHKiP.png
             * platform : 1
             * is_active : 0
             * task_name : 小绵羊安装
             * is_succession : 1
             * task_type : 1000
             * exclude : 0
             * adid :
             * package_size : 10
             * inspect_type : 2
             * can_receive_account : false
             * remain : 0
             * update_time : 1534228705
             * create_time : 1534228705
             * app_id : 0
             */

            private int is_reservation;
            private String desc;
            private String download_link;
            private String remarks;
            private String ext;
            private Object child;
            private int id;
            private int appointment_time;
            private String screenshots;
            private int parent_node_id;
            private String package_names;
            private String boot_address;
            private String icon;
            private int platform;
            private int is_active;
            private String task_name;
            private int is_succession;
            private int task_type;
            private int exclude;
            private String adid;
            private int package_size;
            private int inspect_type;
            private boolean can_receive_account;
            private int remain;
            private int update_time;
            private int create_time;
            private int app_id;

            public int getIs_reservation() {
                return is_reservation;
            }

            public void setIs_reservation(int is_reservation) {
                this.is_reservation = is_reservation;
            }

            public String getDesc() {
                return desc;
            }

            public void setDesc(String desc) {
                this.desc = desc;
            }

            public String getDownload_link() {
                return download_link;
            }

            public void setDownload_link(String download_link) {
                this.download_link = download_link;
            }

            public String getRemarks() {
                return remarks;
            }

            public void setRemarks(String remarks) {
                this.remarks = remarks;
            }

            public String getExt() {
                return ext;
            }

            public void setExt(String ext) {
                this.ext = ext;
            }

            public Object getChild() {
                return child;
            }

            public void setChild(Object child) {
                this.child = child;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getAppointment_time() {
                return appointment_time;
            }

            public void setAppointment_time(int appointment_time) {
                this.appointment_time = appointment_time;
            }

            public String getScreenshots() {
                return screenshots;
            }

            public void setScreenshots(String screenshots) {
                this.screenshots = screenshots;
            }

            public int getParent_node_id() {
                return parent_node_id;
            }

            public void setParent_node_id(int parent_node_id) {
                this.parent_node_id = parent_node_id;
            }

            public String getPackage_names() {
                return package_names;
            }

            public void setPackage_names(String package_names) {
                this.package_names = package_names;
            }

            public String getBoot_address() {
                return boot_address;
            }

            public void setBoot_address(String boot_address) {
                this.boot_address = boot_address;
            }

            public String getIcon() {
                return icon;
            }

            public void setIcon(String icon) {
                this.icon = icon;
            }

            public int getPlatform() {
                return platform;
            }

            public void setPlatform(int platform) {
                this.platform = platform;
            }

            public int getIs_active() {
                return is_active;
            }

            public void setIs_active(int is_active) {
                this.is_active = is_active;
            }

            public String getTask_name() {
                return task_name;
            }

            public void setTask_name(String task_name) {
                this.task_name = task_name;
            }

            public int getIs_succession() {
                return is_succession;
            }

            public void setIs_succession(int is_succession) {
                this.is_succession = is_succession;
            }

            public int getTask_type() {
                return task_type;
            }

            public void setTask_type(int task_type) {
                this.task_type = task_type;
            }

            public int getExclude() {
                return exclude;
            }

            public void setExclude(int exclude) {
                this.exclude = exclude;
            }

            public String getAdid() {
                return adid;
            }

            public void setAdid(String adid) {
                this.adid = adid;
            }

            public int getPackage_size() {
                return package_size;
            }

            public void setPackage_size(int package_size) {
                this.package_size = package_size;
            }

            public int getInspect_type() {
                return inspect_type;
            }

            public void setInspect_type(int inspect_type) {
                this.inspect_type = inspect_type;
            }

            public boolean isCan_receive_account() {
                return can_receive_account;
            }

            public void setCan_receive_account(boolean can_receive_account) {
                this.can_receive_account = can_receive_account;
            }

            public int getRemain() {
                return remain;
            }

            public void setRemain(int remain) {
                this.remain = remain;
            }

            public int getUpdate_time() {
                return update_time;
            }

            public void setUpdate_time(int update_time) {
                this.update_time = update_time;
            }

            public int getCreate_time() {
                return create_time;
            }

            public void setCreate_time(int create_time) {
                this.create_time = create_time;
            }

            public int getApp_id() {
                return app_id;
            }

            public void setApp_id(int app_id) {
                this.app_id = app_id;
            }
        }
    }
}
